## org.eclipse.ocl.cst
Interface TypeCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Subinterfaces:
  CollectionTypeCS, PathNameCS, PrimitiveTypeCS, StateExpCS, TupleTypeCS

All Known Implementing Classes:
  CollectionTypeCSImpl, PathNameCSImpl, PrimitiveTypeCSImpl, StateExpCSImpl, TupleTypeCSImpl, TypeCSImpl

    public interface TypeCS

extends OCLExpressionCS

A representation of the model object 'Type CS'.

See Also:
  `CSTPackage.getTypeCS()`

Method Summary

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.